Bug 49582 - IDE support missing in bootdisk images
IDE support missing in bootdisk images
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-20 17:15 EDT by Thomas Payerle
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-20 17:25:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Payerle 2001-07-20 17:15:12 EDT
Description of Problem:

IDE support missing in bootdisk images downloaded from net

How Reproducible:
very

Steps to Reproduce:
1. Download boot.img from
ftp://ftp.redhat.com/pub/redhat/linux/7.1/en/os/i386/images/
2. Insert blank floppy into linux box.
3. dd if=boot.img of=/dev/fd0 bs=1k
4. Boot machine to install linux on from above floppy, and try to install.
5. (Similar results with bootnet.img, pcmcia.img)

Actual Results:
Machine is unable to access IDE hard drives.  Presumably can't access ATAPI
cd-roms as well, but less able to test (was attempting to do a net boot,
so did not have a known good cd available).

boot.img would get to selection of source device, if select hard drive it
complains that no hard drives in the system (which contained an IDE drive).
Selecting cd-rom also failed, probably due to lack of ATA support, but
may have been a questionable disk.

bootnet.img and pcmcia.img (both set for NFS install) would fail shortly
after anaconda started, after select keyboard and language, presumably
just as screen on how to partition disk comes up.

boot.img, bootnet.img were tested on Pentium III Dell optiplex, with a 
working hard drive.  pcmcia.img tested on an old Pentium P75 latitude.

Creating a bootable disk using vmlinuz and initrd.img from boot/pxenet
directory of the 7.1 tree succeeded in finding the hard drive on the
optiplex, confirming that was not failed or obscure hardware.  That disk
did not have the PCMCIA support needed for the latitude, but the latitude
had been running RH 6 before this, so again unlikely to be hardware failure
and not obscure hardware.

Expected Results:
To be able to see the hard drive in order to look for install images or
to install to.

Additional Information:
	
Presumably, the actual boot floppies distributed in shrink wrap sales have
a different image on them.
Comment 1 Matt Wilson 2001-07-20 17:25:35 EDT
no, the image is very much the same.  What is the failure once you get to the
NFS based install?
Comment 2 Brent Fox 2001-08-10 11:11:55 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.